import { useEffect } from 'react';

// Storage Actions
export function useStorageActions(point: StoragePointSchema) {
    useEffect(() => {
        if (!point.action) return;

        const { actionType, materials, storageCapacity } = point.action;

        const handleAction = () => {
            if (actionType === 'store') {
                console.log(`Storage action at point ${point.uuid}`);
                console.log(`Materials: ${materials.map(m => m.materialName).join(', ')}`);
                console.log(`Capacity: ${storageCapacity}`);
            }
        };

        return () => {
            // Cleanup if needed
        };
    }, [point]);
}