import { useEffect } from 'react';

// Vehicle Actions
export function useVehicleActions(point: VehiclePointSchema) {
    useEffect(() => {
        if (!point.action) return;

        const { actionType, unLoadDuration, loadCapacity, steeringAngle } = point.action;

        const handleAction = () => {
            if (actionType === 'travel') {
                console.log(`Vehicle travel action at point ${point.uuid}`);
                if (point.action.pickUpPoint) {
                    console.log(`Pick up at: ${JSON.stringify(point.action.pickUpPoint)}`);
                }
                if (point.action.unLoadPoint) {
                    console.log(`Unload at: ${JSON.stringify(point.action.unLoadPoint)}`);
                }
            }
        };

        return () => {
            // Cleanup if needed
        };
    }, [point]);
}